GET /jobs/{jobId}
curl \
--request GET 'http://127.0.0.1:8278/api/v1/jobs/{jobId}'
响应示例 (200)
{
"id": "string",
"projectId": "string",
"status": "NOT_STARTED",
"cdcStatus": "NOT_STARTED",
"verificationJobId": "string",
"options": {
"dropCollections": false,
"mode": "SNAPSHOT",
"truncationReportMode": "FAIL",
"errorHandling": "FAIL",
"errorTolerance": 42,
"signalingTable": "database.schema.table"
},
"jdbcConnectionString": "string",
"mongoDbConnectionString": "string",
"submittedAt": "2026-05-04T09:42:00Z",
"statistics": {
"startedAt": "2026-05-04T09:42:00Z",
"elapsedSeconds": 42,
"remainingTableCount": 42,
"processingTables": [
"string"
],
"totalEventsSeen": 0,
"snapshotCompleted": false,
"totalTableCount": 42,
"totalEvents": 42,
"totalEventSize": 42
},
"cdcStatistics": {
"startedAt": "2026-05-04T09:42:00Z",
"lastEventTime": "2026-05-04T09:42:00Z",
"lastEventSourceDatabaseTime": "2026-05-04T09:42:00Z",
"eventsInLastHour": 0,
"eventsInLastMinute": 0,
"totalEventsSeen": 0,
"latestBatchMaxSourceDbLagMs": -1
},
"jmxConnectivity": {
"status": "AVAILABLE",
"lastSuccessfulScrapeAt": "2026-05-04T09:42:00Z",
"errorMessage": "string"
},
"failureError": {
"errorType": "string",
"message": "string",
"failureAt": "2026-05-04T09:42:00Z",
"setupError": false
},
"metadata": {
"telemetryUserId": "string",
"verification": {
"samplePercentage": 100,
"isEmbeddedMode": false,
"status": "VERIFYING"
}
},
"relationalTableFilters": {
"schema_1_name": {
"table_1_name": {
"whereClause": "id > 1000 AND id <= 2000"
},
"table_2_name": {
"whereClause": "TRUE",
"rowCount": 10
}
}
},
"collectionFilters": {
"include": [
"string"
],
"exclude": [
"string"
]
}
}
响应示例 (404)
{
"errorType": "VALIDATION_ERROR",
"message": "string",
"timestamp": "2026-05-04T09:42:00Z",
"issues": [
{
"type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
"message": "string",
"pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
}
]
}
响应示例 (500)
{
"errorType": "VALIDATION_ERROR",
"message": "string",
"timestamp": "2026-05-04T09:42:00Z",
"issues": [
{
"type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
"message": "string",
"pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
}
]
}